Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class SearchTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.content.manager.servlets.jsp.taglib.BaseTag
              com.bea.content.manager.servlets.jsp.taglib.SearchTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SearchTag

extends BaseTag

JSP Tag implementation for searching for content.

See Also
  Serialized Form

Field Summary
`protected Map` | `contextParams` The search context parameters.
`protected Expression` | `expr` The com.bea.p13n.expression.Expression to execute the search for.
`protected String` | `max` The maximum number of Nodes to return from the search.
`protected Node[]` | `nodes` Deprecated
`protected String` | `queryStr` The query to execute the search for.
`protected String[]` | `searchPaths` Array of paths from which the search will take place.
`protected String` | `sortBy` A list of content properties to sort the content by.
`protected boolean` | `sortInMemory` This permits sorting on implicit properties, although it also requires pulling all of the search results into memory first.
`protected boolean` | `versionedContent` Should this search versioned data and return versions.

Fields inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SearchTag()`

Method Summary
`int` | `doStartTag()` Run the tag.
`Map` | `getContextParams()` Get the context params.
`String` | `getMax()` Get the value of `max` as a String.
`String` | `getQuery()` Get the value of `queryStr`.
`String[]` | `getSearchPaths()` Get the value of `searchPaths`.
`String` | `getSortBy()` Get the value of `sortBy`.
`boolean` | `getSortInMemory()` Get the value of `sortInMemory`.
`boolean` | `getVersionedContent()` Boolean to determine if version data should be returned
`void` | `release()` Release this tag.
`void` | `setContextParams(Map m)` Set the context params.
`void` | `setContextParams(String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setExpression(Expression expr)` Set the `expression object` to use.
`void` | `setMax(String max)` Set the value of `max`.
`void` | `setQuery(String v)` Set the value of `queryStr`.
`void` | `setSearchPaths(String searchPaths)` Set the value of `searchPaths`.
`void` | `setSearchPaths(String[] searchPaths)` Set the value of `searchPaths`.
`void` | `setSortBy(String v)` Set the value of `sortBy`.
`void` | `setSortInMemory(boolean v)` Set the value of `sortInMemory`.
`void` | `setVersionedContent(boolean s)` Set boolean to determine if version data should be returned

Methods inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### max

    protected String max

  The maximum number of Nodes to return from the search.

### sortBy

    protected String sortBy

  A list of content properties to sort the content by. The syntax follows the SQL 'order by' clause. Sorting on nested or multivalued properties is not supported for this release.

### queryStr

    protected String queryStr

  The query to execute the search for. This is used if the expression isn't specified. This is what most will use as a String.

### expr

    protected Expression expr

  The com.bea.p13n.expression.Expression to execute the search for.

### contextParams

    protected Map contextParams

  The search context parameters. Either the java.util.Map or comma-separated list of name=value pairs to pass along with the search request. These are simply parameters passed to the search engine that may be required to fulfill the request. It is based on the repository implementation.

### searchPaths

    protected String[] searchPaths

  Array of paths from which the search will take place.

### sortInMemory

    protected boolean sortInMemory

  This permits sorting on implicit properties, although it also requires pulling all of the search results into memory first. Take care to set the maximum number of results to return. Sorting on nested or multivalued properties is not supported for this release.

### versionedContent

    protected boolean versionedContent

  Should this search versioned data and return versions.

### nodes

    protected Node[] nodes

  Deprecated
  The Nodes returned from the search.

Constructor Detail

### SearchTag

    public SearchTag()

Method Detail

### release

    public void release()

  Release this tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseTag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Run the tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### getMax

    public String getMax()

  Get the value of `max` as a String.

### setMax

    public void setMax(String max)

  Set the value of `max`.

### getSortBy

    public String getSortBy()

  Get the value of `sortBy`.

### setSortBy

    public void setSortBy(String v)

  Set the value of `sortBy`.

### getSortInMemory

    public boolean getSortInMemory()

  Get the value of `sortInMemory`.

### setSortInMemory

    public void setSortInMemory(boolean v)

  Set the value of `sortInMemory`.

### setSearchPaths

    public void setSearchPaths(String searchPaths)

  Set the value of `searchPaths`.

### setSearchPaths

    public void setSearchPaths(String[] searchPaths)

  Set the value of `searchPaths`.

### getSearchPaths

    public String[] getSearchPaths()

  Get the value of `searchPaths`.

### getQuery

    public String getQuery()

  Get the value of `queryStr`.

### setQuery

    public void setQuery(String v)

  Set the value of `queryStr`.

### setExpression

    public void setExpression(Expression expr)

  Set the `expression object` to use.

### getContextParams

    public Map getContextParams()

  Get the context params.

### setContextParams

    public void setContextParams(String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(Map m)

  Set the context params.

### getVersionedContent

    public boolean getVersionedContent()

  Boolean to determine if version data should be returned

### setVersionedContent

    public void setVersionedContent(boolean s)

  Set boolean to determine if version data should be returned

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.